The Unity editor has 4 windows:

1. Project window: Displays asset library
2. Scene view: Window that show scene. The scene is the 3D environment
3. Hierarchy window: Displays every object in the scene in a hierarchical view.
4. Inspector window: Displays all of the properties of the currently selected object.
5. Toolbar: Provides access to main features, such as different controls for navigating the
   scene and objects within the scene, starting, stopping, and stepping through the program.

1. Assets
In Unity the main types of assets are:
  * Image files
  * FBX and Model files
  * Meshes and animations
  * Audio files
  * Custom assets

2. The scene and objects within the scene can be controlled using various controls:

  Hand (Activated by pressing Q)
  ----  
    * The hand allows us to drag the scene around.

    * Eye (Hand mode + alt)
      - Allows us to rotate the scene

    * Magnifying glass (Hand mode + ctrl)
      - Allow us to zoom in and out on the scene

   Translation crosshairs (Activated by pressing W)
   -----------------------
     * Allows us to move objects in the scene by selecting
       the translation arrows that appear on an object

    Rotation (Activated by pressing E)
    ---------
    * Allows us to rotate objects in the scene by selecting the rotation arcs
      that appear on an object

    Scale (Activated by pressing R)
    ------
    * Allows us to change the size of objects in the scene


3. Objects

  Object hierarchy
  -----------------
    - In the hierarchy window, objects can be children of other objects in a scene.
      Being a child of a parent object means that the child inherits all the movement
      and rotation of the parent (in terms of transformations applied)
    - To make an object the child of another object, drag that object onto the object
      that is intended to become its parent

  Objects in Unity are anything in a scene. They can be models, lights, cameras, etc.
  In order for an object to get the properties it needs to be a camera, light, couch, etc it
  needs to have the right components added to it. Different combinations of components will
  give rise to different kinds of objects.

  Every object in Unity has a transform component attached to it. It is not possible to remove this.

  All objects in Unity are made up of:
    - Transform component + 1 or more other components

  Different component types:
    * Transform component
      - The component that is on every object in a scene

    * Scripts
      - Scripts can be written and added to an object as a component because scripts
        become components when they are saved in a Unity project.

Objects can be tagged. Tags enable you to find all objects with the specified tab when writing
scripts using the GameObject.FindWithTag(tag: String) function. Note that objects can only
have one tag applied to them.
